    /*
     *  call-seq:
     *     per_field_analyzer.add_field(field_name, default_analyzer) -> self
     *     per_field_analyzer[field_name] = default_analyzer -> self
     *
     *  Set the analyzer to be used on field +field_name+. Note that field_name
     *  should be a symbol.
     *
     *  field_name:: field we wish to set the analyzer for
     *  analyzer::   analyzer to be used on +field_name+
     */
    static VALUE
    frt_per_field_analyzer_add_field(VALUE self, VALUE rfield, VALUE ranalyzer)
    {
        Analyzer *pfa, *a;
        Data_Get_Struct(self, Analyzer, pfa);
        a = frt_get_cwrapped_analyzer(ranalyzer);

        pfa_add_field(pfa, frt_field(rfield), a);
        return self;
    }